﻿


@model ListKong.Models.CompanyModel
@{
    ViewData["Title"] = "AddCompany";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="content-wrapper" style="min-height: 500.8px;margin:0 !important;">
    <section class="content-header">
        <h1>
            Add Company
        </h1>
        <ol class="breadcrumb">
            <li><a asp-controller="Company" asp-action="Index"><i class="fa fa-dashboard"></i>Manage Company</a></li>
            <li class="active">Add Company</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">Add Company</h3>
                    </div>
                    <form asp-action="AddCompany" enctype="multipart/form-data" method="post">
                        <div class="box-body">
                            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                            @if (!string.IsNullOrEmpty(Convert.ToString(ViewData["ErrorMessage"])))
                            {
                                <div class="alert alert-danger">  @ViewData["ErrorMessage"]</div>
                                <script>
                                    $(function () {
                                        setTimeout(function () { hideTarget(); }, 5000);
                                    });
                                    function hideTarget() {
                                        $(".alert").hide();
                                    }
                                </script>
                            }
                            @if (!string.IsNullOrEmpty(Convert.ToString(ViewData["SuccessMessage"])))
                            {
                                <div class="alert alert-success">  @ViewData["SuccessMessage"]</div>
                                <script>
                                    $(function () {
                                        setTimeout(function () { hideTarget(); }, 5000);
                                    });
                                    function hideTarget() {
                                        $(".alert").hide();
                                    }
                                </script>
                            }
                            <div class="form-group">
                                <label asp-for="CompanyName" class="control-label"></label>
                                <input asp-for="CompanyName" class="form-control" required />
                                <span asp-validation-for="CompanyName" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="ContactName" class="control-label"></label>
                                <input asp-for="ContactName" class="form-control" required />
                                <span asp-validation-for="ContactName" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="Address" class="control-label"></label>
                                <input asp-for="Address" class="form-control" required />
                                <span asp-validation-for="Address" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="Email" class="control-label"></label>
                                <input asp-for="Email" class="form-control" required />
                                <span asp-validation-for="Email" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="LocationName" class="control-label"></label>
                                <input asp-for="LocationName" class="form-control" required />
                                <span asp-validation-for="LocationName" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="LocationDescription" class="control-label"></label>
                                <input asp-for="LocationDescription" class="form-control" required />
                                <span asp-validation-for="LocationDescription" class="text-danger"></span>
                            </div>
                            <div class="box-footer">
                                <div class="checkbox icheck">
                                    <label>
                                        <input type="submit" value="Add Company" class="btn btn-primary" />
                                    </label>
                                </div>                               
                            </div>
                        </div>
                    </form>
                    <div>
                        <a asp-action="Index">Back to List</a>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

